com.amazon.redshift.core

## Class NativeAuthPluginHelper

- java.lang.Object
- - com.amazon.redshift.core.IdpAuthHelper
  - - com.amazon.redshift.core.NativeAuthPluginHelper

    public final class NativeAuthPluginHelper
    extends IdpAuthHelper

### Field Summary

### Fields inherited from class com.amazon.redshift.core.IdpAuthHelper

`JWT_PLUGIN, SAML_PLUGIN`

### Method Summary

All Methods Static Methods Concrete Methods
`static Properties` `setNativeAuthPluginProperties(Properties info, RedshiftJDBCSettings settings, RedshiftLogger log)` Helper function to handle Native Auth Plugin connection properties.

### Methods inherited from class com.amazon.redshift.core.IdpAuthHelper

`setAuthProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setNativeAuthPluginProperties

    public static Properties setNativeAuthPluginProperties(Properties info,
                                                           RedshiftJDBCSettings settings,
                                                           RedshiftLogger log)
                                                    throws RedshiftException

Helper function to handle Native Auth Plugin connection properties. If any Plugin related connection property is specified, all other required IAM properties must be specified too or else it throws an error.

Parameters:
  `info` - Redshift client settings used to authenticate if connection should be granted.
  `settings` - Redshift Native Plugin settings
  `log` - Redshift logger
Returns:
  New property object with properties from auth profile and given input info properties, if auth profile found. Otherwise same property object as info return.
Throws:
  `RedshiftException` - If an error occurs.